### Function

# Gdk.events_get_center

#### Declaration [src]

    gboolean
    gdk_events_get_center (
      GdkEvent* event1,
      GdkEvent* event2,
      double* x,
      double* y
    )

#### Description [src]

Returns the point halfway between the events’ positions.

This assumes that both events have X/Y information. If not, this function returns `FALSE`.

#### Parameters

`event1` | `GdkEvent`
| first `GdkEvent`
| Ownership is not transferred to the callee
`event2` | `GdkEvent`
| second `GdkEvent`
| Ownership is not transferred to the callee
`x` | `double*`
| return location for the X coordinate of the center
| Direction: out
| Ownership of the data is transferred to the callee
`y` | `double*`
| return location for the Y coordinate of the center
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the center could be calculated.